# -*- coding: utf-8 -*-
from Plugins.Bp.geminimain.gTools import gPluginPath
from __init__ import addNetcastPlugin

def JsPlugin():
	file= gPluginPath + "gemininetcastwebif/web-data/plugins.js"
	java="""
setExt2Hd('<a target="_blank" href="../streamripper/web" ><img src="/web-data/img/record.png" alt="rec" title="Streamripper recording..."></a>');"""
	
	with open(file, "a") as f:
		f.write(java + "\n")

JsPlugin()
addNetcastPlugin(("../streamripper/web","<img alt=\"rec\" src=\"/web-data/img/record.png\" style=\"vertical-align:middle;\"/> Record",True,True,"Streamripper recording..."))
